Get integration provider info
curl --request GET \
--url https://api.blaxel.ai/v0/integrations/{integrationName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/integrations/{integrationName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/integrations/{integrationName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"additionalInfos": {},
"endpoints": {},
"headers": {},
"name": "<string>",
"organizations": [
{
"avatar_url": "<string>",
"displayName": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"params": {},
"repositories": [
{
"id": "<string>",
"isBl": true,
"name": "<string>",
"organization": "<string>",
"url": "<string>"
}
]
}integrations
Get integration provider info
Returns metadata about an integration provider including available endpoints, authentication methods, and supported models or features.
GET
/
integrations
/
{integrationName}
Get integration provider info
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Path Parameters
Name of the integration
Response
200 - application/json
successful operation
Integration
Integration additional infos
Show child attributes
Show child attributes
Integration endpoints
Show child attributes
Show child attributes
Integration headers
Show child attributes
Show child attributes
Integration name
Integration organizations
Show child attributes
Show child attributes
Integration query params
Show child attributes
Show child attributes
Integration repositories
Show child attributes
Show child attributes
Last modified on July 9, 2026
Was this page helpful?
⌘I
